These docs are for v2.0. Click to read the latest docs for v3.0.

Create an offer

Endpoint to initiate a new offer.

🚧

The Market API will be discontinued, in Q3 2024 we will be sunsetting this product

This endpoint will create a new offer with the status NEW. Once a new offer is created it needs to be updated first with Update offer: TxApprove, followed by Update offer: Signature before it can move to the state READY and become live on the market.

🚧

The order is important. First the TxApprove, then the Signature.

Request Endpoint: reference

POST /offers
ParameterParam TypeDescriptionData TypeMandatory
typeBodyThe type of offer to create: AUCTION or SALEString✅
nft.tokenIdBodyThe token ID of the NFTString✅
nft.addressBodyThe contract address containing the NFTString✅
nft.chainBodyThe blockchain of the NFTString✅
sellerAddressBodyThe wallet address containing the item that is to be soldString✅
priceBodyThe price of the offerNumber✅
endDateBodyThe offer end date in ISO 8601 date-time formatDate-Time❌
visibilityBodySet the visibility of the offer. By default it is set to PUBLIC.
  • *PUBLIC**: visible to anyone
  • *UNLISTED**: only visible by direct link
  • *PRIVATE**: only visible and buyable by the creator or one of it's sub-users
String❌

Example Request (Creating an Offer for yourself):

POST https://api.venly.market/offers
{
    "type": "SALE",
    "nft": {
        "tokenId": "2",
        "address": "0x492aef91afb79efaa508debbed7b3e21069d13e3",
        "chain": "ETHEREUM"
    },
    "sellerAddress": "0xdb7c22EA49EF93F753F2ed4c9E1A2589aC6E7690",
    "price": 25
}

Example Request (Creating an Offer for a sub-user):

Add sellerId in the request (link to the UUID of the created sub-user).

POST https://api.venly.market/offers
{
    "type": "SALE",
    "nft": {
        "tokenId": "2",
        "address": "0x492aef91afb79efaa508debbed7b3e21069d13e3",
        "chain": "ETHEREUM"
    },
    "sellerAddress": "0xdb7c22EA49EF93F753F2ed4c9E1A2589aC6E7690",
    "price": 25,
    "sellerId": "fa2d1aa7-3243-45c5-b61e-ac4c33fec596"
}

Response Body:

{
	"success": true,
	"result": {
		"id": "b91c6f5f-5ebd-4941-99c1-94e9d1cbd9d5",
		"nft": {
			"tokenId": "2",
			"address": "0x492aef91afb79efaa508debbed7b3e21069d13e3",
			"chain": "ETHEREUM",
			"name": "Cauliflower Pizza",
			"description": "Awesome cauliflower crust pizza with cured pepperoni. Found on a BBS in the early 80s.",
			"imageUrl": "https://lh3.googleusercontent.com/0Dw7pMcyX_m7T_6q3zzrvjmYMg-Matgg8c42DTGvviRDI8M7fa3Ot9siVfhzE0gqolLshVp2O6T3QdccmVblMurg7A",
			"url": "",
			"imagePreviewUrl": "https://lh3.googleusercontent.com/0Dw7pMcyX_m7T_6q3zzrvjmYMg-Matgg8c42DTGvviRDI8M7fa3Ot9siVfhzE0gqolLshVp2O6T3QdccmVblMurg7A=s250",
			"imageThumbnailUrl": "https://lh3.googleusercontent.com/0Dw7pMcyX_m7T_6q3zzrvjmYMg-Matgg8c42DTGvviRDI8M7fa3Ot9siVfhzE0gqolLshVp2O6T3QdccmVblMurg7A=s128",
			"attributes": [{
					"traitType": "topping",
					"value": "cheese",
					"traitCount": 4
				},
				{
					"traitType": "crust",
					"value": "cauliflower",
					"traitCount": 2
				},
				{
					"traitType": "topping",
					"value": "pepperoni",
					"traitCount": 2
				},
				{
					"traitType": "level",
					"value": "7",
					"traitCount": 1
				},
				{
					"traitType": "fuel",
					"value": "3.4",
					"traitCount": 1
				},
				{
					"traitType": "cauliflower_power",
					"value": "80",
					"displayType": "boost_number",
					"traitCount": 1
				},
				{
					"traitType": "bellyfat_increase",
					"value": "3",
					"displayType": "boost_percentage",
					"traitCount": 1
				}
			],
			"contract": {
				"chain": "ETHEREUM",
				"address": "0x492aef91afb79efaa508debbed7b3e21069d13e3",
				"count": 0,
				"name": "CryptoPizza Shop",
				"description": "In honor of the dude who paid 10k BTC for two large pizzas in 2010, I'm proud to announce the first ever CryptoPizza Shop! Collect these slices - more to be added soon, but these OG CryptoPizza Slices will go down in history!",
				"symbol": "OSC",
				"imageUrl": "https://rinkeby-storage.opensea.io/0x492aef91afb79efaa508debbed7b3e21069d13e3-1561429292.png"
			}
		},
		"sellerId": "7cbc2bd3-b3d7-4d8e-bda8-173e56189f75",
		"sellerAddress": "0xdb7c22EA49EF93F753F2ed4c9E1A2589aC6E7690",
		"startDate": "2020-10-21T14:46:09.252659Z",
		"type": "SALE",
		"status": "NEW",
		"dataToSign": "b91c6f5f-5ebd-4941-99c1-94e9d1cbd9d5_0xdb7c22EA49EF93F753F2ed4c9E1A2589aC6E7690_0xb06b3f1e824BD7eFC0BCe584cF6B772dC0Ff7C75_2",
		"createdOn": "2020-10-21T14:46:09.305261Z",
		"createdBy": "7cbc2bd3-b3d7-4d8e-bda8-173e56189f75",
		"price": 25
	}
}

Did this page help you?